#
# spec file for package rubygem-couch_potato
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-couch_potato
Version:        1.7.1
Release:        lp151.1.1
%define mod_name couch_potato
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/langalex/couch_potato
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Ruby persistence layer for CouchDB
License:        GPL-2.0+ or Ruby
Group:          Development/Languages/Ruby

%description
Ruby persistence layer for CouchDB.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES.md MIT-LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Thu Aug  3 2017 coolo@suse.com
- updated to version 1.7.1
  see installed CHANGES.md
  [#]## 1.7.1
  * added support for properties of type Integer
* Wed May  4 2016 coolo@suse.com
- updated to version 1.7.0
  see installed CHANGES.md
  [#]## 1.7.0
  * added `_revisions` method that returns all available revisions of a document.
  [#]## 1.6.4
  * bug fix for accessing inherited properties (Alexander Lang)
  [#]## 1.6.3
  * added ActiveSupport instrumentation (Alexander Lang)
  [#]## 1.6.2
  * view digest bugfix (Alexander Lang)
  [#]## 1.6.1
  * added option to add digests to a single view (Alexander Lang)
  [#]## 1.6.0
  * added global option to add digests to view names (Alexander Lang)
  [#]## 1.5.1
  * updated CouchRest to 2.0.0.rc3 in order to re-use http connections. Performance improvements. (Thilo Utke)
  * added passing params to lists (Alexander Lang)
* Sat Mar 19 2016 coolo@suse.com
- updated to version 1.6.5
  see installed CHANGES.md
* Wed Mar 16 2016 coolo@suse.com
- updated to version 1.6.4
  see installed CHANGES.md
  [#]## 1.5.0
  * Moved RSpec matchers into couch_potato-rspec gem. This way, people not using RSpec don't need to install the helpers, plus we can release separate matchers for RSpec 2 and 3.
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.4.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 1.2.0
  * adds optional deep dirty tracking (andymorris)
  * fixes an exception when deleting an already deleted document (Alexander Lang)
* Sun Apr  6 2014 coolo@suse.com
- updated to version 1.1.4
  * Removes the dependency to json/add/core (cstettner)
  * removes check if database exists to avoid lots of additional requests (Alexander Lang)
* Sat Mar 15 2014 coolo@suse.com
- updated to version 1.1.2
  * fixes `CouchPotato.models` did not include subclasses
  * adds `CouchPotato.use` (Daniel Lohse)
  * fixes MapReduceToMatcher when reduce uses `sum` (Daniel Lohse)
  * adds `CouchPotato::Config.database_host` for using multiple databases in a project (Daniel Lohse)
  * makes `cast_native` cast floats with no leading digits (wrshawn)
* Sun Dec  1 2013 coolo@suse.com
- updated to version 1.1.1
  * fixes properties were leaked to sibling classes (Alexander Lang)
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.1.0
  * adds conflict handling for Database#save/destroy (Alexander Lang)
* Tue Jul 30 2013 coolo@suse.com
- updated to version 1.0.1
* Thu Aug 30 2012 coolo@suse.com
- updated to version 0.7.1
* Wed Aug  8 2012 coolo@suse.com
- updated to version 0.7.0
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.6.0
* Wed Jan 26 2011 mrueckert@suse.de
- update to version 0.4.0
  * ruby 1.9.2 compatibility (langalex)
  * couch potato objects now behave correctly when used as keys in
    Hashes (langalex)
  * use as_json instead of to_s(:json), which is the rails way
  * use ActiveModel dirty tracking (langalex) - this means no more
    "deep tracking", e.g. `user.tags << 'new_tag'; user.dirty? # false`
* Sun Nov 14 2010 mrueckert@suse.de
- update to version 0.3.2
  * support for lists (langalex)
  * switch to activemodel adds support for rails 3
- additional changes from version 0.2.32
  * added persisted? and to_key for proper ActiveModel compliance (thilo)
  * id setter (jhohertz-work)
  * load document ids if include\_documents is false (jweiss)
  * persist given created\_at/updated\_at instead of Time.now (langalex)
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 0.2.31
  * Removed requirement for validatable gem. Allows for using more
    uptodate versions of the library, or doesn't install it when
    you're using ActiveModel. (mattmatt)
  * fixed callbacks of super classes were not run (langalex)
- additional changes from version 0.2.30
  * pass in multiple keys when querying a view (langalex)
- additional changes from version 0.2.29
  * nicer inspect() for models (mattmatt)
  * fixed (re)reduce for property views wasn't working (langalex)
- additional changes from version 0.2.28
  * fixed reloading nested classes (langalex)
  * fixed constant missing error when loading models with
    uninitialized classes via views (langalex)
  * added rspec helpers for stubbing out views (langalex)
  * fixed design document names for nested model classes (svenfuchs)
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Mar 25 2010 mrueckert@suse.de
- initial package
